|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectcom.tonbeller.wcf.controller.DispatcherSupport
Fires events to listeners depending on parameters in the HttpServletRequest.
| Constructor Summary | |
DispatcherSupport()
|
|
| Method Summary | |
void |
addRequestListener(java.lang.String name,
java.lang.String value,
RequestListener listener)
Adds a listener. |
void |
clear()
removes all listeners |
java.util.List |
findMatchingListeners(java.util.Map httpParams)
returns the leaf RequestListeners that would be invoked for a http request containing httpParams |
void |
removeRequestListener(RequestListener listener)
removes a listener. |
void |
request(RequestContext context)
fires event to all matching listeners |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
public DispatcherSupport()
| Method Detail |
public void addRequestListener(java.lang.String name,
java.lang.String value,
RequestListener listener)
addRequestListener in interface Dispatchername - name of the request parameter or nullvalue - of the request parameter or nulllistener - the listener to registerpublic void removeRequestListener(RequestListener listener)
removeRequestListener in interface Dispatcherlistener - the listener to removepublic void clear()
clear in interface Dispatcher
public void request(RequestContext context)
throws java.lang.Exception
request in interface Dispatchercontext - the current request
java.lang.Exception - the exception from listenerspublic java.util.List findMatchingListeners(java.util.Map httpParams)
httpParams
findMatchingListeners in interface Dispatcher
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||